Subject: 27.0.50; Gnus ignores gnus-visual nil after gnus-article-outlook-deuglify-article

From: Filipp Gunbin <[email-masked]>
Date: Tue, 11 Sep 2018 23:00:52 +0300

I have gnus-visual set to nil and articles are not fontified (correct).

But if I invoke `W Y f' (gnus-article-outlook-deuglify-article) on an
article, then it gets fontified.  It's not the only command after which
I observe such behavior.

It's not easy to reproduce this with emacs -Q, but I'd be happy to help
if you tell me how.

Thanks.

In GNU Emacs 27.0.50 (build 7, x86_64-apple-darwin17.7.0)
 of 2018-09-11 built on fgunbin.playteam.ru
Repository revision: 94297848332f01a18b5a6a7d29f46d03dcd881ec
System Description:  Mac OS X 10.13.6

Configured using:
 'configure CC=/usr/bin/gcc --without-x --without-sound --without-ns
 --with-dbus --with-file-notification=no --with-gnutls --with-json
 --with-modules --with-threads --with-xml2 --with-zlib'

Configured features:
JPEG ACL GNUTLS LIBXML2 ZLIB MODULES THREADS GMP

Important settings:
  value of $LC_CTYPE: UTF-8
  value of $LANG: ru_RU.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Article

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  minibuffer-depth-indicate-mode: t
  display-time-mode: t
  display-battery-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  file-name-shadow-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t